> ## Documentation Index
> Fetch the complete documentation index at: https://docs.junction.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Estimate order set pricing

> Estimate the USD price of one or more lab testing order sets before creating an order.

<Card horizontal icon="person-digging" color="#57164A">
  This feature is in **closed beta**.

  Interested in this feature? Get in touch with your Customer Success Manager.
</Card>

Returns the estimated price and component-level breakdown for each supplied order set. The response order matches the request order: `data[0]` contains the estimate for `order_sets[0]`, and so on.

<Note>
  All amounts are in the smallest denomination of the response currency. For USD, `base_amount_minor: 1500` means \$15.00. Estimates can change when conditional charges, such as reflex testing or critical care, apply.
</Note>


## OpenAPI

````yaml POST /v3/lab_test/estimate_order_set_pricing
openapi: 3.1.0
info:
  title: Junction API
  description: https://docs.junction.com/
  version: 0.4.772
servers:
  - url: https://api.us.junction.com
    x-fern-server-name: Production
  - url: https://api.eu.junction.com
    x-fern-server-name: ProductionEU
  - url: https://api.sandbox.us.junction.com
    x-fern-server-name: Sandbox
  - url: https://api.sandbox.eu.junction.com
    x-fern-server-name: SandboxEU
security:
  - apiKeyAuth: []
paths:
  /v3/lab_test/estimate_order_set_pricing:
    post:
      tags:
        - lab_tests
      summary: Estimate Order Set Pricing
      operationId: estimate_order_set_pricing_v3_lab_test_estimate_order_set_pricing_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EstimateOrderSetPricingBody'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EstimateOrderSetPricingResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EstimateOrderSetPricingBody:
      properties:
        order_sets:
          items:
            $ref: '#/components/schemas/OrderSetRequest'
          type: array
          minItems: 1
          title: Order Sets
        modality:
          $ref: '#/components/schemas/LabTestCollectionMethod'
          description: ℹ️ This enum is non-exhaustive.
        us_state:
          type: string
          title: Us State
        billing:
          $ref: '#/components/schemas/Billing'
          default: client_bill
          description: ℹ️ This enum is non-exhaustive.
      type: object
      required:
        - order_sets
        - modality
        - us_state
      title: EstimateOrderSetPricingBody
    EstimateOrderSetPricingResponse:
      properties:
        currency:
          type: string
          const: USD
          title: Currency
        data:
          items:
            $ref: '#/components/schemas/OrderSetPricing'
          type: array
          title: Data
      type: object
      required:
        - currency
        - data
      title: EstimateOrderSetPricingResponse
    HTTPValidationError:
      properties:
        detail:
          title: Detail
      type: object
      title: HTTPValidationError
    OrderSetRequest:
      properties:
        lab_test_ids:
          anyOf:
            - items:
                type: string
                format: uuid
              type: array
            - type: 'null'
          title: Lab Test Ids
        add_on:
          anyOf:
            - $ref: '#/components/schemas/AddOnOrder'
            - type: 'null'
        lab_account_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Lab Account Id
      type: object
      title: OrderSetRequest
    LabTestCollectionMethod:
      type: string
      enum:
        - testkit
        - walk_in_test
        - at_home_phlebotomy
        - on_site_collection
      title: LabTestCollectionMethod
      description: The method used to perform a lab test. ℹ️ This enum is non-exhaustive.
    Billing:
      type: string
      enum:
        - client_bill
        - commercial_insurance
        - patient_bill_passthrough
        - patient_bill
        - upfront_payment
      title: Billing
      description: ℹ️ This enum is non-exhaustive.
    OrderSetPricing:
      properties:
        aggregate_pricing:
          anyOf:
            - $ref: >-
                #/components/schemas/SpecifiedPricing_ComponentPricingConditions_
            - $ref: '#/components/schemas/UnspecifiedPricing'
          title: Aggregate Pricing
        components:
          items:
            oneOf:
              - $ref: '#/components/schemas/LabChargePricingComponent'
              - $ref: '#/components/schemas/GenericPricingComponent'
          type: array
          title: Components
      type: object
      required:
        - aggregate_pricing
        - components
      title: OrderSetPricing
    AddOnOrder:
      properties:
        marker_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Marker Ids
        provider_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Provider Ids
      type: object
      title: AddOnOrder
    SpecifiedPricing_ComponentPricingConditions_:
      properties:
        base_amount_minor:
          type: integer
          title: Base Amount Minor
          description: >-
            Amount chargeable in the smallest denomination of the currency, e.g.
            cents for USD.
        modifiers:
          anyOf:
            - items:
                $ref: >-
                  #/components/schemas/PricingModifier_ComponentPricingConditions_
              type: array
            - type: 'null'
          title: Modifiers
      type: object
      required:
        - base_amount_minor
      title: SpecifiedPricing[ComponentPricingConditions]
    UnspecifiedPricing:
      properties:
        unspecified:
          type: string
          enum:
            - refer_to_contract
            - price_unavailable
          title: Unspecified
          description: ℹ️ This enum is non-exhaustive.
      type: object
      required:
        - unspecified
      title: UnspecifiedPricing
    LabChargePricingComponent:
      properties:
        id:
          type: string
          const: lab_charge
          title: Id
        pricing:
          anyOf:
            - $ref: >-
                #/components/schemas/SpecifiedPricing_ComponentPricingConditions_
            - $ref: '#/components/schemas/UnspecifiedPricing'
          title: Pricing
        marker_breakdown:
          anyOf:
            - additionalProperties:
                anyOf:
                  - $ref: >-
                      #/components/schemas/SpecifiedPricing_MarkerPricingConditions_
                  - $ref: '#/components/schemas/UnspecifiedPricing'
              type: object
            - type: 'null'
          title: Marker Breakdown
      type: object
      required:
        - id
        - pricing
      title: LabChargePricingComponent
    GenericPricingComponent:
      properties:
        id:
          $ref: '#/components/schemas/PricingComponentID'
          description: ℹ️ This enum is non-exhaustive.
        pricing:
          anyOf:
            - $ref: >-
                #/components/schemas/SpecifiedPricing_ComponentPricingConditions_
            - $ref: '#/components/schemas/UnspecifiedPricing'
          title: Pricing
      type: object
      required:
        - id
        - pricing
      title: GenericPricingComponent
    PricingModifier_ComponentPricingConditions_:
      properties:
        delta_amount_minor:
          anyOf:
            - type: integer
            - $ref: '#/components/schemas/PricingModifierRange'
          title: Delta Amount Minor
          description: >-
            Amount delta in the smallest denomination of the currency, e.g.
            cents for USD.
        conditions:
          $ref: '#/components/schemas/ComponentPricingConditions'
        keys:
          items:
            type: string
          type: array
          title: Keys
          description: >-
            Property names present in conditions, including names unknown to a
            deserializer.
      type: object
      required:
        - delta_amount_minor
        - conditions
        - keys
      title: PricingModifier[ComponentPricingConditions]
    SpecifiedPricing_MarkerPricingConditions_:
      properties:
        base_amount_minor:
          type: integer
          title: Base Amount Minor
          description: >-
            Amount chargeable in the smallest denomination of the currency, e.g.
            cents for USD.
        modifiers:
          anyOf:
            - items:
                $ref: '#/components/schemas/PricingModifier_MarkerPricingConditions_'
              type: array
            - type: 'null'
          title: Modifiers
      type: object
      required:
        - base_amount_minor
      title: SpecifiedPricing[MarkerPricingConditions]
    PricingComponentID:
      type: string
      enum:
        - placed_order_charge
        - requisition_charge
        - draw_charge
        - mobile_phlebotomy_charge
        - delivered_kit_charge
        - completed_kit_charge
        - critical_care_charge
        - lab_charge
        - lab_priority_charge
      title: PricingComponentID
      description: ℹ️ This enum is non-exhaustive.
    PricingModifierRange:
      properties:
        minimum:
          type: integer
          title: Minimum
        maximum:
          type: integer
          title: Maximum
      type: object
      required:
        - minimum
        - maximum
      title: PricingModifierRange
    ComponentPricingConditions:
      properties:
        us_state:
          anyOf:
            - $ref: '#/components/schemas/USStatePricingCondition'
            - type: 'null'
        reflex:
          anyOf:
            - $ref: '#/components/schemas/ReflexPricingCondition'
            - type: 'null'
        critical_care:
          anyOf:
            - $ref: '#/components/schemas/CriticalCarePricingCondition'
            - type: 'null'
      type: object
      title: ComponentPricingConditions
    PricingModifier_MarkerPricingConditions_:
      properties:
        delta_amount_minor:
          anyOf:
            - type: integer
            - $ref: '#/components/schemas/PricingModifierRange'
          title: Delta Amount Minor
          description: >-
            Amount delta in the smallest denomination of the currency, e.g.
            cents for USD.
        conditions:
          $ref: '#/components/schemas/MarkerPricingConditions'
        keys:
          items:
            type: string
          type: array
          title: Keys
          description: >-
            Property names present in conditions, including names unknown to a
            deserializer.
      type: object
      required:
        - delta_amount_minor
        - conditions
        - keys
      title: PricingModifier[MarkerPricingConditions]
    USStatePricingCondition:
      properties:
        any_of:
          items:
            type: string
          type: array
          title: Any Of
      type: object
      required:
        - any_of
      title: USStatePricingCondition
    ReflexPricingCondition:
      properties: {}
      type: object
      title: ReflexPricingCondition
    CriticalCarePricingCondition:
      properties: {}
      type: object
      title: CriticalCarePricingCondition
    MarkerPricingConditions:
      properties:
        us_state:
          anyOf:
            - $ref: '#/components/schemas/USStatePricingCondition'
            - type: 'null'
        reflex:
          anyOf:
            - $ref: '#/components/schemas/ReflexPricingCondition'
            - type: 'null'
      type: object
      title: MarkerPricingConditions
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-vital-api-key
      description: Vital Team API Key

````

## Related topics

- [Order Pricing](/lab/overview/order-pricing.md)
- [Get Markers for Order Set](/api-reference/lab-testing/order-set-marker.md)
- [Turnaround Times](/lab/overview/turnaround-times.md)
- [Get Available Tests](/api-reference/lab-testing/tests-paginated.md)
- [Get Markers for Lab Test](/api-reference/lab-testing/lab-test-markers.md)
